org.springframework.http

## Interface HttpMessage

- All Known Subinterfaces:
    ClientHttpRequest, ClientHttpResponse, HttpInputMessage, HttpOutputMessage, HttpRequest, ServerHttpRequest, ServerHttpResponse
  All Known Implementing Classes:
    AbstractClientHttpRequest, AbstractClientHttpResponse, HttpRequestWrapper, MockClientHttpRequest, MockClientHttpResponse, MockHttpInputMessage, MockHttpOutputMessage, RequestPartServletServerHttpRequest, ServletServerHttpRequest, ServletServerHttpResponse

      public interface HttpMessage

  Represents the base interface for HTTP request and response messages. Consists of `HttpHeaders`, retrievable via `getHeaders()`.
  Since:
    3.0
  Author:
    Arjen Poutsma

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHeaders` | `getHeaders()` Return the headers of this message.

- - ### Method Detail

    - #### getHeaders

          HttpHeaders getHeaders()

      Return the headers of this message.
      Returns:
        a corresponding HttpHeaders object